Bug 182395 - Error in rhpl->Conf.py when updating nameservers in resolv.conf
Error in rhpl->Conf.py when updating nameservers in resolv.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhpl (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-02-22 05:05 EST by Andrew Johnson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0678
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 02:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Johnson 2006-02-22 05:05:22 EST
Description of problem:
Error is in /usr/lib/python2.3/site-packages/rhpl/Conf.py

We have a script in Python that calls :-
def _editER(screen):
    "Create, edit and destroy a ConfEResolv object"
    CER = rhpl.Conf.ConfEResolv()
    ns = CER['nameservers']
.
.
.
    CER.write

When it does this, we get a traceback to the above Conf.py stating at line 709 
that .output is not a valid property. The command being called at that time 
is :-
command.getstatus.output

it should be :-
command.getstatusoutput


Version-Release number of selected component (if applicable):

In RHEL-ES4 base install -> RHEL-ES4 Patch 2
rhpl-0.148.2-1.i386.rpm -> rhpl-0.148.3-1.i386.rpm
Comment 3 Chris Lumens 2006-06-21 15:02:53 EDT
Committed to Rawhide for testing.
Comment 10 Red Hat Bugzilla 2006-09-27 02:37:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0678.html

Note You need to log in before you can comment on or make changes to this bug.